Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.management
Class NoAccessRuntimeException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.lang.RuntimeException
                        |
                        +--weblogic.utils.NestedRuntimeException
                              |
                              +--weblogic.management.NoAccessRuntimeException

public final class NoAccessRuntimeException
extends weblogic.utils.NestedRuntimeException

This is the exception that is thrown when an atempt is made to access an MBean and the operation or attributes is not available for given the established identity. The exception includes the identity of the user, the operation that was atempeted (get, set, or invoke), and the object name of the MBean that was being targeted. It also nests the causal Security Exception

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Constructor Summary
`NoAccessRuntimeException(java.lang.String message)`
`NoAccessRuntimeException(java.lang.String user, java.lang.String perm, java.lang.String target)`
`NoAccessRuntimeException(java.lang.String user, java.lang.String perm, java.lang.String target, java.lang.Throwable t)`
`NoAccessRuntimeException(java.lang.String message, java.lang.Throwable t)`
`NoAccessRuntimeException(java.lang.Throwable t)`

Method Summary
`java.lang.String` | `getMessage()`

Methods inherited from class weblogic.utils.NestedRuntimeException
`getNested, getNestedException, printStackTrace, printStackTrace, printStackTrace, superPrintStackTrace, superPrintStackTrace, superToString, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NoAccessRuntimeException

    public NoAccessRuntimeException(java.lang.String message,
                                    java.lang.Throwable t)

### NoAccessRuntimeException

    public NoAccessRuntimeException(java.lang.Throwable t)

### NoAccessRuntimeException

    public NoAccessRuntimeException(java.lang.String message)

### NoAccessRuntimeException

    public NoAccessRuntimeException(java.lang.String user,
                                    java.lang.String perm,
                                    java.lang.String target)

### NoAccessRuntimeException

    public NoAccessRuntimeException(java.lang.String user,
                                    java.lang.String perm,
                                    java.lang.String target,
                                    java.lang.Throwable t)

Method Detail

### getMessage

    public java.lang.String getMessage()

  Overrides:
    getMessage in class java.lang.Throwable

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD